Skip to content
Start here

Store catalog credentials

r2_data_catalog.credentials.create(strbucket_name, CredentialCreateParams**kwargs) -> object
POST/accounts/{account_id}/r2-catalog/{bucket_name}/credential

Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
account_id: str

Use this to identify the account.

bucket_name: str

Specifies the R2 bucket name.

maxLength63
minLength3
token: str

Provides the Cloudflare API token for accessing R2.

ReturnsExpand Collapse
object

Store catalog credentials

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
credential = client.r2_data_catalog.credentials.create(
    bucket_name="my-data-bucket",
    account_id="0123456789abcdef0123456789abcdef",
    token="your-cloudflare-api-token-here",
)
print(credential)
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}